<p align="center">
  <h1 align="center">Huawei Drive Flutter Plugin</h1>
</p>



<p align="center">
  <a href="https://pub.dev/packages/huawei_drive"><img src="https://img.shields.io/pub/v/huawei_drive?style=for-the-badge" alt="pub.dev version"></a>
</p>


----

Drive Kit (short for HUAWEI Drive Kit) allows you to create apps that use Drive (short for HUAWEI Drive) capabilities. Drive Kit provides cloud storage for your apps, enabling users to store files that are created while using your apps, including photos, videos, and documents, in Drive. Your users can also download files, upload files, query historical file versions, search for files, comment on files, and reply to comments. Drive Kit also provides comprehensive data protection, empowering users to manage their data securely and conveniently.

The core capabilities of Drive Kit include uploading, downloading, and searching for files in Drive, commenting on files, replying to comments, querying historical file versions, querying file changes, and obtaining notifications.

The Flutter Drive Plugin enables communication between HUAWEI Drive SDK and the Flutter Platform and it exposes all capabilities provided by Huawei Drive Kit.

[Learn More](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/introduction-0000001077725482?ha_source=hms1)

## Installation

Please see [pub.dev](https://pub.dev/packages/huawei_drive/install) and [AppGallery Connect Configuration](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/config-agc-0000001096585687).

## Documentation

- [Quick Start](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/func-desc-0000001096446753)
- [Reference](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-References/overview-0000001096843987)

### Additional Topics

#### Requirements

- A HUAWEI ID is required for a user to access and manage their files in Drive. Your app needs to prompt the user to sign in with their HUAWEI ID so that they can access their Drive using your app. In order to sign in the user with their HUAWEI ID please use the [huawei_account](https://pub.dev/packages/huawei_account) plugin. After the user signs in, your app saves relevant user information for calling Drive SDK APIs later.

## Questions or Issues

If you have questions about how to use HMS samples, try the following options:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/huawei-mobile-services) is the best place for any programming questions. Be sure to tag your question with 
  **huawei-mobile-services**.
- [Github](https://github.com/HMS-Core/hms-flutter-plugin) is the official repository for these plugins, You can open an issue or submit your ideas.
- [Huawei Developer Forum](https://forums.developer.huawei.com/forumPortal/en/home?fid=0101187876626530001) HMS Core Module is great for general questions, or seeking recommendations and opinions.
- [Huawei Developer Docs](https://developer.huawei.com/consumer/en/doc/overview/HMS-Core-Plugin) is place to official documentation for all HMS Core Kits, you can find detailed documentations in there.

If you run into a bug in our samples, please submit an issue to the [GitHub repository](https://github.com/HMS-Core/hms-flutter-plugin).

## License

Huawei Drive Kit Flutter Plugin is licensed under [Apache 2.0 license](LICENSE)
